source: README @ 3496369

Last change on this file since 3496369 was ba5e919, checked in by Adam Glasgall <adam@crossproduct.net>, 9 years ago
perlvariables: add new ExtUtils::Depends dependency to README
  • Property mode set to 100644
File size: 1.0 KB
Line 
1BarnOwl - owl, with more ponies
2
3Source is freely available from http://github.com/barnowl/barnowl/
4
5Based on owl 2.1.11, by James Kretchmar (http://www.ktools.org)
6
7Notes:
8-----
9This project's perl/modules/ contains the lib directories from the
10following CPAN modules:
11
12Facebook::Graph
13Net::Jabber
14Net::XMPP
15XML::Stream
16
17Some have been modified slightly for the needs of this project.
18
19BarnOwl currently requires the following perl modules off of CPAN:
20
21AnyEvent
22Class::Accessor
23Glib
24PAR
25ExtUtils::Depends
26
27(Note that these are all available as Debian packages)
28We plan to soon add targets to the Makefile to check for and install
29these for you.
30
31The Facebook module requires:
32
33Any::Moose
34AnyEvent::HTTP
35DateTime
36DateTime::Format::Strptime
37JSON
38MIME::Base64::URLSafe
39Ouch
40URI
41URI::Encode
42
43The IRC module requires:
44
45AnyEvent::IRC
46
47The Jabber module requires:
48
49Net::DNS
50Authen::SASL::Perl
51IO::Socket::SSL
52Digest::SHA
53
54The Twitter module requires:
55
56HTML::Entities
57Net::Twitter::Lite
58
59The WordWrap module requires:
60
61Text::Autoformat
Note: See TracBrowser for help on using the repository browser.